## ****************************************************************************
##
## __legal_b__
## 
## Copyright (c) 2016 Michel Gillet  
## Distributed under the wxWindows Library Licence, Version 3.1. 
## (See accompanying file LICENSE_3_1.txt or 
## copy at http://www.wxwidgets.org/about/licence)
## 
## __legal_e__
##
## ****************************************************************************
##
##  src/esys/evtloop/Makefile.am
##  Process this file with automake to produce a Makefile.in file.
##
##  Original Author: Michel Gillet, 2016-07-26
##
## ****************************************************************************
##
##  MODIFICATION LOG - modifiers, enter your name, affiliation, date and
##  changes you are making here.
##
##      Name, Affiliation, Date:
##  Description of Modification:
##
## ****************************************************************************


include $(top_srcdir)/config/Make-rules

noinst_LTLIBRARIES = libesys_evtloop.la
libesys_evtloop_la_CXXFLAGS = $(AM_CXXFLAGS) -std=c++11 -I$(top_srcdir)/src 
libesys_evtloop_la_LDFLAGS = $(EXTRA_LD_CONFIG) \
    -lboost_filesystem \
    -lboost_system \
    -lboost_date_time

H_FILES =

CXX_FILES = \
   task_evtloop.cpp \
   taskbase_evtloop.cpp \
   tasklet_evtloop.cpp \
   taskmngr_evtloop.cpp \
   taskmngrbase_evtloop.cpp \
   taskplatif_evtloop.cpp

libesys_evtloop_la_SOURCES = $(H_FILES) $(CXX_FILES) 

SUBDIRS = \
    mp \
    .

INCLUDE_DIR = $(prefix)/include/esys/evtloop

## Taf!

